package com.chenyang.nse.bussiness.engine.infa.powercenter961.maskdata;

import com.chenyang.nse.bussiness.engine.infa.basic.xmlbean.FOLDER;
import java.util.UUID;

public class Folderutil {
   public static FOLDER getFolder(ParamBean par_bean) {
      FOLDER folder = new FOLDER();
      UUID uu = UUID.randomUUID();
      String uuid = uu.toString();
      folder.setUUID(uuid);
      folder.setNAME(par_bean.getFoldername());
      folder.setGROUP(par_bean.getGroup());
      folder.setSHARED(par_bean.getShard());
      folder.setOWNER(par_bean.getOwner());
      folder.setPERMISSIONS(par_bean.getPermissions());
      folder.setDESCRIPTION(par_bean.getDescription());
      return folder;
   }
}
